Executar Agente
curl --request POST \
--url https://api.example.com/agents/{id}/execute/import requests
url = "https://api.example.com/agents/{id}/execute/"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/agents/{id}/execute/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Agentes
Executar Agente
Executa uma ação associada ao agente.
POST
/
agents
/
{id}
/
execute
/
Executar Agente
Endpoint
POST https://gateway.orkeia.ai/agents/{id}/execute
Cabeçalhos
authorization: <seu_token>
Content-Type: application/json
Parâmetros de caminho
Necessario passar via query params o id do agente{
"id": "ID do agente (obrigatório)"
}
Request body
{
"agent": "id do agente",
"input": "prompt",
"context": [{
"role": ["user","assistant"],
"content": "conteúdo do contexto"
}],
"chatId": "id do chat, se houver",
"files": "array de arquivos, se houver",
"metadata": Metadata,
}
Esse request é o nosso AgentPayload! Caso tenha alguma dúvida a respeito, recomendamos que de uma olhada nesse link.
Exemplo (cURL)
curl -X POST "https://gateway.orkeia.ai/agents/agent123/execute" \
-H "authorization: <seu_token>" \
-H "Content-Type: application/json" \
-d '{ "action": "processar"}'
Respostas
Response - Success
response
{
"status": "OK",
"data": {
"response" : "resultado do processamento",
"chatId": "id do chat",
"file": "caminho do arquivo, se houver"}
}
}
500 — Bad Request
{
"status": "ERROR",
"code": "server/error",
"data": null
}
400 — Client Error
{
"status": "ERROR",
"code": "client/error",
"data": null
}
Esta página foi útil?
⌘I
